<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="user"
            type="com.example.beijing_daxing.vm.LoginVm" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:background="@drawable/login_bg"
        tools:context=".MainActivity">
<!--        <FrameLayout-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content">-->

<!--            <ImageView-->
<!--                android:layout_width="match_parent"-->
<!--                android:layout_height="match_parent"-->
<!--                android:src="@mipmap/main_bg" />-->
            <ImageView
                android:layout_width="300dp"
                android:layout_height="45dp"
                android:layout_marginTop="100dp"
                android:src="@mipmap/login_base"
                android:textColor="@color/white"
                android:layout_gravity="center"/>
<!--        </FrameLayout>-->


        <TextView
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="50dp"
            android:gravity="left|center"
            android:text="登录：RFID机场轮挡管理系统"
            android:textColor="@color/black"

            android:textSize="22sp" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/textInputLayout"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="20dp"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:hint="用户名">

            <EditText
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:text="@={user.name}" />

        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/textInputLayout2"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="15dp"
            android:layout_marginRight="20dp"
            android:hint="密码"
            app:passwordToggleEnabled="true">

            <EditText
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:inputType="textPassword"
                android:layout_gravity="center"
                android:imeOptions="actionDone"
                android:text="@={user.pass}" />

        </com.google.android.material.textfield.TextInputLayout>

        <CheckBox
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="20dp"
            android:checked="@={user.remember}"
            android:text="记住我" />

        <Button
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="20dp"
            android:letterSpacing="1"
            android:text="登录"
            android:textSize="20sp"
            android:textStyle="bold"
            android:onClick="login_click"/>

    </LinearLayout>


</layout>